View Issue Details

IDProjectCategoryView StatusLast Update
0000095AlmaLinux-8perlpublic2021-06-09 19:36
Reporterjavcove Assigned Toalukoshko  
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Summary0000095: Unable to install Plesk Obsidian 18.0.35 on AlmaLinux 8
DescriptionI tried to install Plesk Obsidian 18.0.35 in a fresh install of AlmaLinux 8 running in Linode, I followed the official instructions from Plesk website, but the installation can't complete.

Steps To ReproduceSpin a Linode with AlmaLinux 8 install wget and then follow the step described in the official Plesk site.

https://www.plesk.com/blog/various/install-plesk-linux/

Installing Plesk via CLI
Download Plesk installer: wget https://autoinstall.plesk.com/plesk-installer
Add proper permissions to Plesk installer: chmod +x plesk-installer
Run Plesk installer via command line and follow instructions: ./plesk-installer or ./plesk-installer --all-versions
First you will need to confirm your decision by choosing “Go forward” and in case of –all-versions there will be option to choose the certain version of Plesk
Wait until installation process is done

But the installation fails few seconds after it started with the following error>

ERROR: The Yum utility failed to install the required packages.
Attention! Your software might be inoperable.
Visit https://support.plesk.com/ to search for a solution.
Additional InformationThis is the installer output:

Getting done, Plesk Installer is ready to restart.
Doing restart of Plesk Installer...
Checking for installed packages...
Downloading file products.inf3: 100% was finished.
Downloading file pool/PSA_18.0.35_6216/release.inf3: 100% was finished.
Downloading file pool/PSA_18.0.34_5691/release.inf3: 100% was finished.
Downloading file pool/PSA_18.0.33_5467/release.inf3: 100% was finished.
Downloading file pool/PSA_18.0.32_4963/release.inf3: 100% was finished.
Downloading file pool/PSA_18.0.31_4832/release.inf3: 100% was finished.
Downloading file pool/PSA_18.0.30_4729/release.inf3: 100% was finished.
Downloading file pool/PSA_18.0.29_3884/release.inf3: 100% was finished.
Downloading file plesk.inf3: 100% was finished.
Downloading file ppsmbe.inf3: 100% was finished.
Downloading file sitebuilder.inf3: 100% was finished.
Downloading file sso.inf3: 100% was finished.
Downloading file PHP80_17/release.inf3: 100% was finished.
Downloading file php80.inf3: 100% was finished.
Downloading file php72.inf3: 100% was finished.
Downloading file PHP74_17/release.inf3: 100% was finished.
Downloading file php74.inf3: 100% was finished.
Downloading file PHP73_17/release.inf3: 100% was finished.
Downloading file php73.inf3: 100% was finished.
Downloading file php71.inf3: 100% was finished.
Downloading file setemplates.inf3: 100% was finished.
Downloading file pp-sitebuilder.inf3: 100% was finished.
Downloading file billing.inf3: 100% was finished.
Downloading file mysql.inf3: 100% was finished.
Downloading file apache.inf3: 100% was finished.
Downloading file nginx.inf3: 100% was finished.
Downloading file php70.inf3: 100% was finished.
Downloading file php56.inf3: 100% was finished.
Downloading file php55.inf3: 100% was finished.
Downloading file php54.inf3: 100% was finished.
Downloading file php53.inf3: 100% was finished.
Downloading file php52.inf3: 100% was finished.
Downloading file pmm.inf3: 100% was finished.
Downloading file pool/PSA_18.0.35_6216/plesk-18.0.35-cos8-x86_64.inf3: 100% was finished.
Downloading Extensions Catalog feed...
Downloading file https://ext.plesk.com/api/v4/packages?platform=unix&version=18.0.35&ai-compatible: 0%
Downloading file pool/PHP_7.1.33_96/php71-cos8-x86_64.inf3: 100% was finished.
Downloading file pool/PHP_7.2.34_150/php72-cos8-x86_64.inf3: 100% was finished.
Downloading file PHP73_17/php73-cos8-x86_64.inf3: 100% was finished.
Downloading file PHP74_17/php74-cos8-x86_64.inf3: 100% was finished.
Downloading file PHP80_17/php80-cos8-x86_64.inf3: 100% was finished.
Downloading file SITEBUILDER_18.0.29/sitebuilder-18.0.29-rhall-all.inf3: 100% was finished.
gpg-pubkey-3abb34f8-5ffd890e gpg(AlmaLinux <[email protected]>)
Last metadata expiration check: 0:00:02 ago on Wed Jun 2 18:27:15 2021.
Detecting installed product components.

Select the installation type for Plesk Obsidian
===============================================================================

Installation types for the product:

 1. (*) Recommended
       Install typically used components. Recommended for general use.

 2. ( ) Full
       Install all available components.

 3. ( ) Custom
       Custom components selection. Recommended only for experienced users.


Available actions:
(F) Go forward
(B) Go back
(Q) Cancel installation

Select an action or a number [F/b/q/1-3]: F
gpg-pubkey-3abb34f8-5ffd890e gpg(AlmaLinux <[email protected]>)
gpg-pubkey-914bdf7e-55c05220 gpg(Plesk Team <[email protected]>)
Retrieving information about the installed license key...
Launching component and product checkers...
Downloading file pool/PSA_18.0.35_6216/examiners/repository_check.sh: 100% was finished.
Downloading file pool/PSA_18.0.35_6216/examiners/disk_space_check.sh: 100% was finished.
Downloading file pool/PSA_18.0.35_6216/examiners/sh_cmd.sh: 100% was finished.
Start downloading 1 files of unknown size and 0 delta RPMs
Download PLESK_18_0_35 dist 3091B [total 0/unknown B 1/1 files]
Start downloading 1 files of unknown size and 0 delta RPMs
Download PLESK_18_0_35 thirdparty 3081B [total 0/unknown B 1/1 files]
Start downloading 1 files of unknown size and 0 delta RPMs
Download PHP 7.3 thirdparty 3068B [total 0/unknown B 1/1 files]
Start downloading 1 files of unknown size and 0 delta RPMs
Download PHP 7.4 thirdparty 3068B [total 0/unknown B 1/1 files]
Start downloading 1 files of unknown size and 0 delta RPMs
Download PLESK_18_0_35 extras 3089B [total 0/unknown B 1/1 files]
Start downloading 1 files of unknown size and 0 delta RPMs
Download PHP 7.3 3086B [total 0/unknown B 1/1 files]
Start downloading 1 files of unknown size and 0 delta RPMs
Download PHP 7.4 3086B [total 0/unknown B 1/1 files]
dnf.exceptions.DepsolveError:
 Problem 1: conflicting requests
  - nothing provides perl(Digest::SHA1) needed by plesk-core-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64
 Problem 2: conflicting requests
  - nothing provides perl(Digest::SHA1) needed by plesk-core-utilities-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64
  - nothing provides perl-JSON-XS needed by plesk-core-utilities-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64
  - nothing provides sharutils needed by plesk-core-utilities-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64
 Problem 3: package psa-vhost-18.0-2.centos.8+p18.0.35.2+t210526.1158.noarch requires plesk-core >= 18.0, but none of the providers can be installed
  - conflicting requests
  - nothing provides perl(Digest::SHA1) needed by plesk-core-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64
 Problem 4: package psa-updates-18.0-2.centos.8+p18.0.34.0+t210225.1437.noarch requires plesk-core >= 18.0, but none of the providers can be installed
  - conflicting requests
  - nothing provides perl(Digest::SHA1) needed by plesk-core-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64
 Problem 5: package plesk-web-socket-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64 requires plesk-core >= 18.0, but none of the providers can be installed
  - conflicting requests
  - nothing provides perl(Digest::SHA1) needed by plesk-core-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64
 Problem 6: package plesk-l10n-18.0-2.centos.8+p18.0.35.2+t210526.1158.noarch requires plesk-core >= 18.0, but none of the providers can be installed
  - conflicting requests
  - nothing provides perl(Digest::SHA1) needed by plesk-core-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64
 Problem 7: package plesk-config-troubleshooter-18.0-2.centos.8+p18.0.35.2+t210526.1158.noarch requires plesk-core >= 18.0, but none of the providers can be installed
  - conflicting requests
  - nothing provides perl(Digest::SHA1) needed by plesk-core-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64
 Problem 8: package plesk-web-hosting-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64 requires psa-vhost >= 18.0, but none of the providers can be installed
  - package psa-vhost-18.0-2.centos.8+p18.0.35.2+t210526.1158.noarch requires plesk-core >= 18.0, but none of the providers can be installed
  - conflicting requests
  - nothing provides perl(Digest::SHA1) needed by plesk-core-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64
 Problem 9: conflicting requests
  - package plesk-roundcube-1.4.11-2.centos.8+p18.0.35.2+t210526.1158.noarch requires plesk-web-hosting >= 18.0, but none of the providers can be installed
  - package plesk-web-hosting-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64 requires psa-vhost >= 18.0, but none of the providers can be installed
  - package psa-vhost-18.0-2.centos.8+p18.0.35.2+t210526.1158.noarch requires plesk-core >= 18.0, but none of the providers can be installed
  - nothing provides perl(Digest::SHA1) needed by plesk-core-18.0-2.centos.8+p18.0.35.2+t210526.1158.x86_64

ERROR: The Yum utility failed to install the required packages.
Attention! Your software might be inoperable.
Visit https://support.plesk.com/ to search for a solution.
TagsNo tags attached.
abrt_hash
URL

Activities

javcove

2021-06-03 15:51

reporter  

alukoshko

2021-06-07 10:55

developer   ~0000260

Hello!
All missing packages are in PowerTools repo which is disabled by default (normal RHEL/CentOS behavior).
To enable it run:
yum config-manager --set-enabled powertools

javcove

2021-06-09 19:35

reporter   ~0000268

I was able to install Plesk after enabling PowerTools. I will get in touch with Plesk support to let hem know that the installation guides need to add this step to their instructions.

alukoshko

2021-06-09 19:36

developer   ~0000269

Thank you for update!
Closing.

Issue History

Date Modified Username Field Change
2021-06-03 15:51 javcove New Issue
2021-06-03 15:51 javcove File Added: Captura de Pantalla 2021-06-03 a la(s) 10.49.53.png
2021-06-07 10:55 alukoshko Note Added: 0000260
2021-06-09 19:35 javcove Note Added: 0000268
2021-06-09 19:35 javcove File Added: Captura de Pantalla 2021-06-09 a la(s) 14.34.53.png
2021-06-09 19:36 alukoshko Note Added: 0000269
2021-06-09 19:36 alukoshko Assigned To => alukoshko
2021-06-09 19:36 alukoshko Status new => closed
2021-06-09 19:36 alukoshko Resolution open => no change required